Page MenuHomePhabricator

LabsDB infrastructure pending work
Closed, ResolvedPublic

Description

[WIP] Meta ticket too recap all the stuff pending and planning regarding the labs infra (we can always create more detailed subtasks)

  • Repoint labsdb1001 and labsdb1003 to db1095 (T166546)
  • Add and sanitize s2, s4, s5, s6 and s7 (T153743)
  • Puppetize summary tables such as watchlist_count (maybe others?)
  • implement GTID (requires production changes) (only on sanitariums for now, done)
  • Implement a periodic check_private_data.py run (T153680)

Feel free to edit the description and add stuff

Details

Related Gerrit Patches:
operations/puppet : productionsanitarium_multiinstance: Keep less the binlogs
operations/mediawiki-config : masterdb-eqiad.php: Depool db1072
operations/puppet : productiondb1072.yaml: Change binlog to ROW

Related Objects

StatusSubtypeAssignedTask
OpenJdrewniak
ResolvedKrenair
Resolvedjcrespo
Resolvedjcrespo
ResolvedMarostegui
ResolvedMarostegui
StalledNone
DuplicateNone
DuplicateNone
Resolvedori
Resolvedchasemp
ResolvedMarostegui
ResolvedMarostegui
ResolvedMarostegui
DeclinedNone
ResolvedMarostegui
Resolvedjcrespo
ResolvedMarostegui
Resolvedjcrespo

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 10:58 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Dec 13 2016, 10:58 AM
jcrespo moved this task from Backlog to Meta/Epic on the DBA board.Dec 13 2016, 10:58 AM
jcrespo updated the task description. (Show Details)Dec 13 2016, 2:28 PM
jcrespo updated the task description. (Show Details)Dec 20 2016, 9:54 AM
Marostegui updated the task description. (Show Details)Dec 20 2016, 9:55 AM
jcrespo renamed this task from Pending things in the labs infra to LabsDB infrastructure pending work.Dec 20 2016, 9:55 AM
jcrespo updated the task description. (Show Details)
Ankry added a subscriber: Ankry.Jun 21 2017, 5:53 AM
bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.
jcrespo updated the task description. (Show Details)Aug 7 2017, 3:59 PM

Mentioned in SAL (#wikimedia-operations) [2017-08-10T13:43:08Z] <marostegui> Compress cebwiki on db1095 - T153058

jcrespo triaged this task as Low priority.Aug 22 2017, 8:56 AM

Change 393027 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1072.yaml: Change binlog to ROW

https://gerrit.wikimedia.org/r/393027

Change 393028 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/393028

Change 393027 abandoned by Marostegui:
db1072.yaml: Change binlog to ROW

Reason:
Already running ROW

https://gerrit.wikimedia.org/r/393027

Change 393028 abandoned by Marostegui:
db-eqiad.php: Depool db1072

Reason:
Not needed - already running ROW

https://gerrit.wikimedia.org/r/393028

Change 393027 restored by Marostegui:
db1072.yaml: Change binlog to ROW

https://gerrit.wikimedia.org/r/393027

Change 393028 restored by Marostegui:
db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/393028

Change 393028 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/393028

Change 393027 merged by Marostegui:
[operations/puppet@production] db1072.yaml: Change binlog to ROW

https://gerrit.wikimedia.org/r/393027

Change 396435 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] sanitarium_multiinstance: Keep less the binlogs

https://gerrit.wikimedia.org/r/396435

Change 396435 merged by Marostegui:
[operations/puppet@production] sanitarium_multiinstance: Keep less the binlogs

https://gerrit.wikimedia.org/r/396435

Except for labsdb multi-instance/GTID and custom tables this is feature-complete, so this and T140788 can be closed and use individual subtickets for the few pending tasks.

jcrespo closed this task as Resolved.Mar 26 2018, 7:51 PM
jcrespo claimed this task.

Everthing except T59617 is done.